> ## Documentation Index
> Fetch the complete documentation index at: https://polaris.nimonic.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Kakao 로그인

> Kakao 로그인 페이지로 이동합니다.



## OpenAPI

````yaml /api-docs.json get /api/v1/auth/kakao/login
openapi: 3.1.0
info:
  title: Polaris API
  version: 0.0.1
servers:
  - url: https://k-polaris.life
    description: Polaris API 서버
security: []
paths:
  /api/v1/auth/kakao/login:
    get:
      tags:
        - 인증
      summary: Kakao 로그인
      description: Kakao 로그인 페이지로 이동합니다.
      operationId: redirectToKakaoLogin
      parameters:
        - name: channel
          in: query
          description: 모바일 앱 환경에서는 `app`을, 웹 환경에서는 `web`을 사용하세요. 기본 값은 `web`입니다.
          required: false
          schema:
            type: string
        - name: target
          in: query
          description: 로그인 성공 후 교환 코드를 돌려보낼 허용된 대상 ID입니다. 웹에서는 생략 시 `web`이 사용됩니다.
          required: false
          schema:
            type: string
        - name: codeChallenge
          in: query
          description: >-
            [PKCE] 애플리케이션에서 생성한 임의의 문자열 `code_verifier`를 특정 함수로 변환한 값을 입력하세요. 웹과
            앱 모두 필수입니다.
          required: false
          schema:
            type: string
        - name: codeChallengeMethod
          in: query
          description: '[PKCE] `code_verifier` 변환에 사용되는 함수를 입력하세요. 웹과 앱 모두 `S256`을 사용해야 합니다.'
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK

````